<h2>Affichage coté client</h2>
<h3>Utilisation du hook du plugin</h3>
<p>Pour afficher le menu il y a deux possiblités. Vous pouvez utiliser l'id de l'enregistrement ou le titre du menu.</p>
<!--<p><img src="../../plugins/spxwmenu/lang/img/widget15.jpg" width="50%" height="auto" alt="Gestion des plugins" /></p>-->

<p>Voici un exemple d'usage du hook dans une page statique. Ici on affiche le menu dont l'id est 001.</p>
<pre>
<p>&lt;?php<br />
	global $plxShow;
	echo ($plxShow-&gt;callHook('spxwmenu::getmenuID', '001'));<br />
?&gt;</p>
</pre>
<p>Voici un exemple d'usage du hook dans une page statique. Ici on affiche le menu dont le titre est 'Mon premier menu'.</p>
<pre>
<p>&lt;?php<br />
	global $plxShow;
	echo ($plxShow-&gt;callHook('spxwmenu::getmenuTitle', 'Mon premier menu'));<br />
?&gt;</p>
</pre>
<p>Il est possible d'utiliser un shortcode à la condition d'avoir installer le plugin spxshortcodes <a href="http://www.secretsitebox.fr/site/index.php?categorie2/pluxml-plugins#post-10" target="_blank">ici</a> (version supérieur ou égal à 1.2) </p>
<p>Voici un exemple d'usage de shortcode. Ici on affiche le menu dont l'id est 001.</p>
<pre>
[SPXWMENU id=001 ]
</pre>
<p>Voici un exemple d'usage de shortcode. Ici on affiche le menu dont le title est 'Mon premier menu'.</p>
<pre>
[SPXWMENU title='Mon premier menu' ]
</pre>
<p>Il est bien sur possible de ne pas utiliser le menu bootstrap pour garde une structure en liste par default :</p>
<pre>
[SPXWMENU id=001 menu_type='default' ]
</pre>
<p>Il est aussi possible de customiser toutes les propiétés du menu dont voici les paramètres par default. Cette option n'est pas valable pour le menu bootstrap.</p>
<pre>
# les paramètre du container du menu
'container' => 'div'
'container_class' => 'menu-container'
'container_id' => 'menu-container-'
# le nom de class du menu
'menu_class' => 'menu'
# la class de l'item sélectionné
'menu_select' => 'current'
# la class de différents groupes  (ul niveau 2)
'group_class' => 'group-menu'
</pre>
<p>Voici les paramètres par default pour le menu bootstrap.</p>
<pre>
'bootstrap_navbar_collapse' => 'navbar-collapse',
'bootstrap_navbar_nav' => 'nav navbar-nav'
</pre>
<p>Voici les paramètres par default pour le menu bootstrap pro.</p>
<pre>
'bspro_navbar_collapse' => 'navbar-collapse',
'bspro_navbar_nav' => 'nav navbar-nav',
'bspro_navbar_collapse_type' => 'div',
'bspro_navbar_nav_id' => '',
'bspro_bcaret' => '<b class="caret"></b>',
'bspro_dropdown' => 'dropdown',
'bspro_dropdown_menu' => 'dropdown-menu',
'bspro_dropdown_submenu' => 'dropdown-submenu'
</pre>

<p>Un exemple pour le menu default:</p>
<pre>
[SPXWMENU id=001 menu_type='default' container='section' ]
</pre>
<p>Voici la structure du menu par default :</p>
<pre>
<p>&lt;div class=&quot;menu-container&quot; id=&quot;menu-container-1&quot; &gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;ul class=&quot;menu&quot;&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;li class=&quot;current&quot;&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;a href=&quot;#&quot; class=&quot;&quot; &gt;home&lt;/a&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;ul class=&quot;group-menu&quot;&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;li&gt;&lt;a  href=&quot;...&quot;&gt;statique1&lt;/a&gt;&lt;/li&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;li&gt;&lt;a  href=&quot;...&quot;&gt;cat rub1&lt;/a&gt;&lt;/li&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/ul&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/li&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;li class=&quot;&quot;&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;a href=&quot;#&quot; class=&quot;&quot; &gt;cat rub1&lt;/a&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;ul class=&quot;group-menu&quot;&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;li&gt;&lt;a  href=&quot;...&quot;&gt;static slider&lt;/a&gt;&lt;/li&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;li class=&quot;&quot; &gt;&lt;a class=&quot;&quot; href=&quot;#&quot;&gt;groupe statique groupe 1&lt;/a&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;ul class=&quot;&quot;  &gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;li&gt;&lt;a href=&quot;..&quot;&gt;slider&lt;/a&gt;&lt;/li&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;li&gt;&lt;a href=&quot;...&quot;&gt;slider request&lt;/a&gt;&lt;/li&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/ul&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/li&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;li class=&quot;&quot; &gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;a class=&quot;&quot; href=&quot;#&quot;&gt;groupe statique groupe 2&lt;/a&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;ul class=&quot;&quot;  &gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;li&gt;&lt;a href=&quot;...&quot;&gt;polaroid&lt;/a&gt;&lt;/li&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;li&gt;&lt;a href=&quot;...&quot;&gt;polaroid request&lt;/a&gt;&lt;/li&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/ul&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/li&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/ul&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/li&gt;</p>
<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;/ul&gt;</p>
<p>&lt;/div&gt;</p>
</pre>

<p>Un exemple pour le menu bootstrap:</p>
<pre>
[SPXWMENU id=001 menu_type='bootstrap' bootstrap_navbar_collapse='navbar-collapse' bootstrap_navbar_nav='nav navbar-nav' ]
</pre>
<p>Un exemple pour le menu bootstrap pro:</p>
<pre>
[SPXWMENU id=001 menu_type='bootstrappro' bspro_navbar_collapse_type='nav' bspro_navbar_collapse='' bspro_navbar_nav='nav nav-pills' bspro_navbar_nav_id='mainNav' bspro_bcaret='' bspro_dropdown='dropdown' bspro_dropdown_menu = 'dropdown-menu' bspro_dropdown_submenu = 'dropdown-submenu' ]
</pre>

<p>Voici la structure du menu pour bootstrappro :</p>
<p><img src="../../plugins/spxwmenu/lang/img/bootstrapprostructure.jpg" width="100%" height="auto" alt="Gestion des plugins" /></p>

<p>Affichage du menu dans un article via un shortcode :</p>
<p><img src="http://www.secretsitebox.fr//spx/marketing/spxwmenu/lab/6.png" width="100%" height="auto" alt="Gestion des plugins" /></p>
<p><img src="http://www.secretsitebox.fr//spx/marketing/spxwmenu/lab/7.png" width="100%" height="auto" alt="Gestion des plugins" /></p>

