<?php
/**
 * Plugin spxwmenu
 *
 * @package SPX
 * @version	
 * @date	02/04/2015
 * @author	JE-EVRARD
 **/
include_once(PLX_PLUGINS.'spxwmenu/lib/class.spxmenu.bootstrap.php');
include_once(PLX_PLUGINS.'spxwmenu/lib/class.spxmenu.bootstrappro.php');
include_once(PLX_PLUGINS.'spxwmenu/lib/class.spxmenu.default.php');

class spxwmenu extends plxPlugin {
	
	
	/**
	 * Constructeur de la classe
	 *
	 * @param	default_lang	langue par dfaut
	 * @return	stdio
	 * @author	JE-EVRARD
	 **/
	public function __construct($default_lang) {
		
		# Appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);
		
		# droits pour accder  la page config.php du plugin
		$this->initconfiguration();
		$this->setConfigProfil(PROFIL_ADMIN);
		$this->spxname="spxwmenu";
		
		# Dclarations des hooks
		if(!defined('PLX_ADMIN') && $this->getParam('addbootstrap-css-js')=="1") {
			$this->addHook('ThemeEndHead', 'addCssLibrairy');
			$this->addHook('ThemeEndBody', 'addJSlibrairy');
		}
		
		$this->addHook('spxwmenu::getMenu', 'getMenuRequest');
		$this->addHook('spxwmenu::getMenuID', 'getMenuID');
		$this->addHook('spxwmenu::getMenuTitle', 'getMenuTitle');
	}
	
	/**
	 * Mthode qui initialise les variables
	 *
	 * @author	JE-EVRARD
	 **/
	public function initconfiguration() {
		# VARIOUS PARAMS
		$this->setParam('spxdatas_widget', '1', 'string');
		$this->setParam('spxshortcodes_shortcode', '1', 'string');
		
		if (plxUtils::strCheck($this->getParam('addbootstrap-css-js'))=="") $this->setParam('addbootstrap-css-js','1','string');
		
		if (plxUtils::strCheck($this->getParam('dataformat'))=="") $this->setParam('dataformat', 'xml', 'string');
		
		$aProfils = $this->get_aprofil();
		foreach($aProfils as $key=>$val) { 
			if (plxUtils::strCheck($this->getParam('profiladmin'.$key))=="") $this->setParam('profiladmin'.$key,$this->get_adminright_list(),'string');
			
		}
		foreach($aProfils as $key=>$val) { 
			if (plxUtils::strCheck($this->getParam('profiladmincontent'.$key))=="") $this->setParam('profiladmincontent'.$key,$this->get_adminrightcontent_list(),'string');
		}
		
	}
	
	/**
	 * Mthode a l'activation du plugin
	 *
	 * @author	JE-EVRARD
	 **/
	public function OnActivate() {
		
	}
	
	/**
	 * Mthode qui charle le css bootstrap
	 *
	 * @author	JE-EVRARD
	 **/
	public function addCssLibrairy() {
		echo "\n".'
		<link rel="stylesheet" type="text/css" href="'.PLX_PLUGINS.'spxwmenu/css/bootstrapnav.css" />
		<link rel="stylesheet" type="text/css" href="'.PLX_PLUGINS.'spxwmenu/css/site.css" />
		';
	}
	
	/**
	 * Mthode qui fait charges les librairies javascript
	 *
	 * @author	JE-EVRARD
	 **/
	public function addJSlibrairy() {
		
		echo "\n".'
		<script type="text/javascript">
		
	
		/* <![CDATA[ */
		!window.jQuery && document.write(\'<script  type="text/javascript" src="'.PLX_PLUGINS.'spxwmenu/assets/jquery-2.1.1.min.js"><\/script>\');
		/* !]]> */
		</script>

		<!-- Include required JS files -->
				
		<script type="text/javascript" src="'.PLX_PLUGINS.'spxwmenu/assets/bootstrapnav.js"></script>
		
		<!--|--------------------------------------------------------------------------
		| FIN SPXWMENU
		|---------------------------------------------------------------------------->
		
		<script type="text/javascript">
		
		</script>
		';
		
			
			
	}
	
	/**
	 * Mthode qui retourne les profils utilisateurs
	 *
	 * @return	array
	 * @author	JE-EVRARD
	 **/
	public function get_aprofil() {
		# Tableau des profils
		return array(
			PROFIL_ADMIN => L_PROFIL_ADMIN,
			PROFIL_MANAGER => L_PROFIL_MANAGER,
			PROFIL_MODERATOR => L_PROFIL_MODERATOR,
			PROFIL_EDITOR => L_PROFIL_EDITOR,
			PROFIL_WRITER => L_PROFIL_WRITER
		);
		
	}
	
	/**
	 * Mthode qui retourne la string des admin right 
	 *
	 * @return	string
	 * @author	JE-EVRARD
	 **/
	public function get_adminright_list() {
		return "view create modify delete";
	}
	
	/**
	 * Mthode qui retourne la string des admin right content
	 *
	 * @return	string
	 * @author	JE-EVRARD
	 **/
	public function get_adminrightcontent_list() {
		return "create modify delete";
	}
	
	/**
	 * Mthode qui retourne la string user level pour spxdatas
	 *
	 * @return	string
	 * @author	JE-EVRARD
	 **/
	public function get_tableuserlevel($param='profiladmin') {
		$s='';
		$aProfils = $this->get_aprofil();
		foreach($aProfils as $key=>$val) {
			$sright = $this->getParam($param.$key);
			$aright = explode (" ", $sright);
			foreach($aright as $key2=>$val2) {
				if ($val2=="view"){
					$s.=$key.',';
					break;	
				}
			}
		}
		return substr ($s, 0, -1);
	}
	
	/**
	 * Mthode qui retourne la string CMDlevel pour spxdatas
	 *
	 * @return	string // ex: '3:010,4:010';
	 * @author	JE-EVRARD
	 **/
	public function get_rightCMDlevel($param='profiladmin') {
		$s='';
		$aProfils = $this->get_aprofil();
		foreach($aProfils as $key=>$val) {
			$sright = $this->getParam($param.$key);
			$aright = explode (" ", $sright);
			$create='0';
			$modify='0';
			$delete='0';
			foreach($aright as $key2=>$val2) {
				if ($val2=="create"){
					$create='1';
				}
				if ($val2=="modify"){
					$modify='1';
				}
				if ($val2=="delete"){
					$delete='1';
				}
			}
			$s.=$key.':'.$create.$modify.$delete.',';
		}
		return substr ($s, 0, -1);
	}
	
	/**
	 * Mthode qui crit la table pour spxdatas
	 *
	 * @author	JE-EVRARD
	 **/
	public function write_table() {
		$xml =$this->get_table_spxdatas();
		$path = PLX_PLUGINS.'spxwmenu/spxdatas/table/table.php';
		$bwrite = plxUtils::write($xml,$path);
	}
	
	/**
	 * Mthode principale qui retourne le menu
	 *
	 * @return	string // html menu;
	 * @author	JE-EVRARD
	 **/
	public function getMenuRequest($o) {
		$this->buildStaticList();
		$this->getArticleList ('001');
		
		if ($o["id"] != '') {
			$filter = 'spxwmenus_id='.$o["id"];
		}else{
			$filter = 'title='.$o["title"];
		}
		
		$s='';
		
		$s.= $this->getMenuRequestPrepare($filter,$o);
		return $s;
	}
	
	/**
	 * Mthode qui retourne le menu et prepare la requete a spxdatas
	 *
	 * @return	string // html menu;
	 * @author	JE-EVRARD
	 **/
	public function getMenuRequestPrepare($filter,$oatts) {
		//print_r($o);
		
		$plxMotor = plxMotor::getInstance();
		
		$o= array();
		$o["table"]="spxwmenus";
		$o["format"]='#menu_content';
		$o["filter"]=$filter;
		$o["subtable_format"]["menu_content"]=$s;
		$tmp = $plxMotor->plxPlugins->aPlugins["spxdatas"];
		
		$o["out"]="array";
		$tmp2 = $tmp->getData($o);
		
		/*echo ("<pre>");
		print_r($tmp2);
		echo ("</pre>");*/
		$s='';
		if (count($tmp2)==0) return $s;	
		$s.=$this->getMenu($tmp2[0]["menu_content"],$oatts);	
		return $s;
		
	}
	
	/**
	 * Mthode qui retourne la structure des tables pour spxdatas
	 *
	 * @return	string // part of xml base;
	 * @author	JE-EVRARD
	 **/
	public function get_table_spxdatas() {
		$dataformat='';
		if ($this->getParam('dataformat') =="json")
			$dataformat='dataformat="json"';
		$s='';
		$s.='<table name="spxwmenus" maxparam="3" groupe="spxwmenu" '.$dataformat.' tableuserlevel="'.$this->get_tableuserlevel().'" rightCMDlevel="'.$this->get_rightCMDlevel().'" >';
		$s.='<description><![CDATA[<p>List of menus</p>]]></description>';
			$s.='<column>';
					$s.='<parameter  name="title" type="cdata" option="textinput/30/100" ></parameter>';
					$s.='<parameter  name="menu_content" type="cdata" option="subtable/spxwmenu" ></parameter>';
					
			$s.='</column>';
		$s.='</table>';
		
		
		$s.='<table name="spxwmenu" maxparam="4" groupe="spxwmenu" type="subtable" order="true" '.$dataformat.' rightCMDlevel="'.$this->get_rightCMDlevel('profiladmincontent').'" >';
		$s.='<description><![CDATA[<p>Your content menu</p>]]></description>';
			$s.='<column>';
				
				$s.='
					<parameter  name="level" type="cdata" option="decal_h2" ></parameter>
					<parameter  name="title" type="cdata" option="textinput/20/30" ></parameter>
					<parameter  name="actif" type="string" option="booleanreverse" ></parameter>
					
					
					<parameter  name="url" type="cdata" option="listestaticandcat" ></parameter>
					<parameter  name="code" type="cdata" option="textinput/30/100" ></parameter>';
				
			$s.='</column>';
		$s.='</table>';
		
		return $s;
	}
	
	/**
	 * Mthode qui retourne le tableau de traduction widget pour spxdatas
	 *
	 * @return	array // 
	 * @author	JE-EVRARD
	 **/
	public function get_loc($mylang) {
		$filename = PLX_PLUGINS.$this->spxname.'/spxdatas/table/table_loc/'.$mylang.'/admin.php';
		$LANG = array();
		if(is_file($filename)) {
			include($filename);
		}
		return $LANG;
	}
	
	/**
	 * Mthode qui retourne le tableau de traduction default (config) pour spxdatas
	 *
	 * @return	array // 
	 * @author	JE-EVRARD
	 **/
	public function get_loc_default($mylang) {
		$filename = PLX_PLUGINS.$this->spxname.'/spxdatas/table/table_loc/'.$mylang.'/admin_default.php';
		
		$LANG = array();
		if(is_file($filename)) {
			include($filename);
		}
		return $LANG;
	}
	
	/**
	 * Mthode qui enregistre les clefs de traduction pour spxdatas
	 *
	 * @author	JE-EVRARD
	 **/
	public function set_loc($mylang) {
		$atraddefault = $this->get_loc_default($mylang);
		$LANG="LANG";
		$out="<?php
		
			$$LANG = array(";
		foreach($atraddefault as $key=>$val) {
			
			$code = 'admin_loc_'.$trad.'_'.$key;
			$check = $this->getParam($code);
			if ($check=="-") {
				$loc="";
			}else if ($check=="") {
				$loc=$val;
			}else{
				$loc=$check;
			}
			$loc = str_replace("'", "\'", $loc);
			
			$out.="'".$key."'			=> '".$loc."',";
		}
		$out.="	
					);
					?>";
		$fileloc = PLX_PLUGINS.$this->spxname.'/spxdatas/table/table_loc/'.$mylang.'/admin.php';
		plxUtils::write($out,$fileloc);
	}
	
	/**
	 * Mthode qui recupre l'url d'une page statique via son id
	 *
	 * @return	string // 
	 * @author	JE-EVRARD
	 **/
	public function getstaticUrl($staticId) {
		global $plxShow;
		# Recupration ID URL
		$staticIdFill = str_pad($staticId,3,'0',STR_PAD_LEFT);
		if(!empty($staticId) AND isset($plxShow->plxMotor->aStats[ $staticIdFill ]))
			return $plxShow->plxMotor->urlRewrite('?static'.$staticId.'/'.$plxShow->plxMotor->aStats[ $staticIdFill ]['url']);
	}
	
	/**
	 * Mthode qui recupre l'url d'une page statique via son id
	 *
	 * @return	string // 
	 * @author	JE-EVRARD
	 **/
	public function getexternallink($Id,$link) {
		global $plxShow;
		switch ($Id) {
				case "pluxml":
					$url = $plxShow->plxMotor->urlRewrite($link);
					$url = $link;
				break;
				default:
					$url = $link;
				break;
		}
		return $url;
	}
	
	/**
	 * Mthode qui recupre l'url selon le mode de l'interface
	 *
	 * @return	string // 
	 * @author	JE-EVRARD
	 **/
	public function getUrlFromMode($mode,$id,$link){
		global $plxShow;
		$plxMotor = plxMotor::getInstance();
		switch ($mode) {
				case "home":
					$url = $plxMotor->urlRewrite();
				break;
				case "categorie":
					$url = $plxShow->catUrl($id);
				break;
				case "static":
					$url = $this->getstaticUrl($id);
				break;
				case "link":
					$url = $this->getexternallink($id,$link);
				break;
				case "article":
					//$url = $this->getexternallink($id,$link);
					//$this->plxMotor->urlRewrite('?article'.$num.'/'.$art['url']),$row);
				break;
				
				default:
					$url = $plxMotor->urlRewrite();
				break;
			}
			return $url;
	}
	
	/**
	 * Mthode qui recupre l'id selon le mode de l'interface
	 *
	 * @return	string // 
	 * @author	JE-EVRARD
	 **/
	public function getCurrentID($mode){
		global $plxShow;
		switch ($mode) {
				case "home":
					$current_id='home';
				break;
				case "categorie":
					$current_id = $plxShow->catId();
				break;
				case "static":
					$current_id = $plxShow->staticId();
				break;
				case "contact":
					$current_id = "";
				break;
				case "article":
				case "erreur":
					
				break;
				default :
					$current_id = "";
				break;
			}
		return $current_id;
	}
	
	/**
	 * Mthode qui recupre le menu html selon le tableau et les attribus
	 *
	 * @return	string // 
	 * @author	JE-EVRARD
	 **/
	public function getMenu($amenu,$oatts){
		global $plxShow;
		// (home, article, categorie, static ou erreur)
		$mode = $plxShow->mode();
		$current_id = $this->getCurrentID($mode);
		
		
		//echo ("mode = ".$mode."\n<br>");
		//echo ("current_id = ".$current_id."\n<br>");
		
		// mode id
		// home home
		// static 1 - categorie 1 
		
		
		// static_0003 
		// link_pluxml   code=?contact
		
		/*
		$o= array();
		$o["table"]="menu";
		$o["out"]="array";
		$o["filter"]="actif=1";
		
		$amenu = $plxShow->callHook('spxdatas::getData',$o);
		*/
		
		# prepare
		$amaenutmp = array();
		$countl1=0;
		$blevel0_actif = true;
		for ($i=0;$i<count($amenu);$i++){
			$aurl = explode("_",$amenu[$i]["url"]);
			$amenu[$i]["mode"]=$aurl[0];
			$amenu[$i]["id"]=$aurl[1];
			$amenu[$i]["otherlink"]=$amenu[$i]["code"];
			$amenu[$i]["target"]='';
			
			if ($amenu[$i]["id"] == "externalblank"){
				$amenu[$i]["target"] = ' target="_blank"';
			}
			
			if ($amenu[$i]["level"]=="0" && $amenu[$i]["actif"]){
				array_push($amaenutmp,$amenu[$i]);
				$countl1++;
				$blevel0_actif = true;
			} else if ($amenu[$i]["level"]=="0") {
				$blevel0_actif = false;
			}
			
			if ($amenu[$i]["level"]=="1" && $amenu[$i]["actif"] && $blevel0_actif == true){
				if (count ($amaenutmp[$countl1-1]["sub"]) == 0) $amaenutmp[$countl1-1]["sub"]=array();
				array_push($amaenutmp[$countl1-1]["sub"],$amenu[$i]);
			}
			/*echo ("--------\n<br>");
			echo ("mode=".$amenu[$i]["mode"]."\n<br>");
			echo ("currentmode=".$mode."\n<br>");
			echo ("id=".$amenu[$i]["id"]."\n<br>");
			echo ("current_id=".$current_id."\n<br>");
			echo ("url=".$amenu[$i]["url"]."\n<br>");
			echo ("--------\n<br>");*/
			if (intval($amenu[$i]["id"]) == intval($current_id) && $amenu[$i]["mode"]==$mode){ 
				$menuselect=$countl1-1;
				//echo ("detection !!");
			}
			// for home only
			if (intval($amenu[$i]["id"]) == intval($current_id) && $amenu[$i]["mode"]=="cat" && $mode=="home"){ 
				$menuselect=$countl1-1;
			}
			
			if ($amenu[$i]["mode"]=="link" && $amenu[$i]["id"]=="pluxml" ){
				$check = substr($amenu[$i]["otherlink"], 1);
				if ($check=="blog") $check = "home";
				if ($check==$mode){
					$menuselect=$countl1-1;
					//echo ("detection home !");
				}
			}
		
		}
		
		# out 
		/*echo ("<pre>");
		print_r($amaenutmp);
		echo ("</pre>");*/
		if ($oatts["menu_type"]=="bootstrap"){
			return spxmenuBootstrap::getMenuBootstrap($this, $amaenutmp, $menuselect,$oatts);
			//return $this->getMenuBootstrap($amaenutmp, $menuselect);	
		}else if ($oatts["menu_type"]=="bootstrappro") {
			return spxmenuBootstrappro::getMenuBootstrap($this, $amaenutmp, $menuselect,$oatts);
		}else{
			return spxmenuDefault::getMenuDefault($this, $amaenutmp, $menuselect,$oatts);
			//return $this->getMenuDefault($amaenutmp, $menuselect,$oatts);	
		}
		
	}
	
	/**
	 * Mthode qui construit la liste des groupes de pages statiques
	 *
	 * @author	JE-EVRARD
	 **/
	public function buildStaticList (){
		global $plxShow;
		$this->asubMenuStatic = array();
		$this->asubMenuStaticGroup = array();
		
		$plxMotor = plxMotor::getInstance();
		if($plxMotor->aStats) {
			foreach($plxMotor->aStats as $k=>$v) {
				if($v['active'] == 1 AND $v['menu'] == 'oui') {
					$tmp = array();
					//$v["static_id"]=$k;
					$tmp["title"]=$v["name"];
					$tmp["url"] = $this->getUrlFromMode("static",$k,"");
					
					$this->asubMenuStatic[$k]=$tmp;
					
					if($v['group']==''){
						//$this->asubMenuStaticGroup[][] =  $tmp;
					}else{
						
						$this->asubMenuStaticGroup[$v['group']][] =  $tmp;
						
					}
				}
			}
		}
		/*
		echo ("<pre>");
		print_r($this->asubMenuStatic);
		echo ("</pre>");
		echo ("<pre>");
		print_r($this->asubMenuStaticGroup);
		echo ("</pre>");
		*/
		
	}
	
	/**
	 * Mthode qui construit la liste des listes d'articles d'une cat id
	 *
	 * @author	JE-EVRARD
	 **/
	public function getArticleList ($cat_id){
		global $plxShow;
		$max=5;
		$sort='rsort';
		$plxMotor = plxMotor::getInstance();
		$out= array();
		$motif = '/^[0-9]{4}.((?:[0-9]|home|,)*(?:'.str_pad($cat_id,3,'0',STR_PAD_LEFT).')(?:[0-9]|home|,)*).[0-9]{3}.[0-9]{12}.[a-z0-9-]+.xml$/';

		# Nouvel objet plxGlob et rcupration des fichiers
		$plxGlob_arts = clone $plxMotor->plxGlob_arts;
		if($aFiles = $plxGlob_arts->query($motif,'art',$sort,0,$max,'before')) {
			foreach($aFiles as $v) { # On parcourt tous les fichiers
				$art = $plxMotor->parseArticle(PLX_ROOT.$plxMotor->aConf['racine_articles'].$v);
				$num = intval($art['numero']);
				$tmp = array();
					//$v["static_id"]=$k;
					$tmp["title"]=$art["title"];
					//$tmp["url"] = $this->getUrlFromMode("article",$k,"");
					$tmp["url"] = $plxMotor->urlRewrite('?article'.$num.'/'.$art['url']);
					//
					
					array_push($out,$tmp);
				
			}
		}
		return $out;
		
	}
	
	/**
	 * Mthode qui recupre les paramtres d'un plugin
	 *
	 * @author	JE-EVRARD
	 * retun string
	 **/
	public static function plugin_getParam($plugName,$param) {
		$plxMotor = plxMotor::getInstance();
		$plug = $plxMotor->plxPlugins->aPlugins[$plugName];
		return $plug->getParam($param);
	}

}

?>